Systems Requirements

From Observer Wiki
Jump to: navigation, search

Because Observer has yet to release, there is very little information available at this time concerning the System Requirements. Please check back closer to release!